System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

The event is raised when a button in the page selection element of the control is clicked.

For a list of initial property values for an instance of , see the constructor.

For more information about handling events, see Events and Delegates.

Provides data for the event of the control. This class cannot be inherited.

- Constructor
  To be added.
  To be added.

  Use this constructor to create and initialize a new instance of the class.

  When an instance of is created by a call to this constructor, the following properties are initialized to the specified values.

  Properties

  Initial value

  The parameter.

  The parameter.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  Use the property to determine the source of the command that raised the event. Because this event is raised only when a button in the page selection element of the control is clicked, the returned source is a object that represents the page selection element.

  Gets the source of the command.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to determine the index of the page selected by the user in the page selection element of the control. This value is often used to set the property of the control to display the selected page.

  Gets the index of the page selected by the user in the page selection element of the control.

  1.0.5000.0
  2.0.0.0